# FROM node:15.3.0-buster
FROM strapi/base

ARG configuration 
ENV PORT 1337
ENV HOST 0.0.0.0
ENV NODE_ENV = ${configuration}
# ENV NODE_ENV production

# Create app directory
RUN mkdir -p /usr/src/app
WORKDIR /usr/src/app

# Install app dependencies
COPY package*.json /usr/src/app/
# COPY yarn.lock /usr/src/app/

RUN npm install

# Bundle app source
COPY . /usr/src/app

RUN npm run build

EXPOSE 1337
# VOLUME ["/usr/src/app"]

CMD [ "npm", "start" ]